Bug 1872375 - Regular users see only charts from the default RedHat repo
Summary: Regular users see only charts from the default RedHat repo
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.6.0
Assignee: cvogt
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-25 15:34 UTC by Predrag Knezevic
Modified: 2020-09-23 15:03 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
Regular users see only charts from the configured RedHat repo (90.24 KB, image/png)
2020-09-23 15:03 UTC, spathak@redhat.com
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console-operator pull 458 None closed Bug 1872375: Add RedHat Helm chart repository as default repo in OCP payload 2020-09-23 11:56:16 UTC
Github openshift origin pull 25485 None closed Bug 1872375: Add system:authenticated exception for HelmChartRepository CRs used by console 2020-09-23 11:56:20 UTC

Description Predrag Knezevic 2020-08-25 15:34:16 UTC
Description of problem:

Regular users see only charts from the default RedHat repo, even if the admin has configured a custom HelmChartRepository

How reproducible:

1. Deploy the following HelmChartRepository CR

apiVersion: helm.openshift.io/v1beta1
kind: HelmChartRepository
metadata:
  name: azure-sample-repo
spec:
  connectionConfig:
    url: https://raw.githubusercontent.com/Azure-Samples/helm-charts/master/docs

2. Log to Dev Console as a regular user

3. Browse charts

Actual results:

Only charts from the default repo are listed

Expected results:

List of charts from the configured repo


Additional info:

Comment 2 Rohit Rai 2020-09-23 14:53:13 UTC
Verified on 4.6.0-0.nightly-2020-09-22-130743

Comment 3 spathak@redhat.com 2020-09-23 15:03:45 UTC
Created attachment 1716081 [details]
Regular users see only charts from the configured RedHat repo


Note You need to log in before you can comment on or make changes to this bug.